de.esprit.appsuite.database.xml

## Class DBODatabaseCollector

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.log.SimpleLogSupportAdapter
    - - de.esprit.appsuite.xml.XmlDataCollector<C>
      - - de.esprit.appsuite.database.xml.AbstractDBOCollector
        - - de.esprit.appsuite.database.xml.DBODatabaseCollector

- All Implemented Interfaces:
    DBLoadMonitor, ApplicationObject, SimpleLogSupport, Dumpable

      public class DBODatabaseCollector
      extends AbstractDBOCollector

  Collects all database objects, such as `XmlDatabase`, `XmlTable` as well as all contained DBRecords.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBODatabaseCollector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `printContent(java.io.PrintStream out)`

    - ### Methods inherited from class de.esprit.appsuite.database.xml.AbstractDBOCollector

      `cancel, doneRecord, doneTable, foundDatabase, foundField, foundRecord, foundTable, getCurrentTable, getCurrRecord, getDatabase, loadedRecord, wasCancelled`

    - ### Methods inherited from class de.esprit.appsuite.xml.XmlDataCollector

      `getApplicationContext, getParser, getParseTracker, isStopOnError, setParser, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.log.SimpleLogSupportAdapter

      `getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DBODatabaseCollector

          public DBODatabaseCollector()

  - ### Method Detail

    - #### printContent

          public void printContent(java.io.PrintStream out)

      Specified by:
        `printContent` in class `AbstractDBOCollector`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.